SeExpr

Public Member Functions | Private Attributes | List of all members
ExprColorWidget Class Reference

`#include <ExprColorSwatch.h>`

Inheritance diagram for ExprColorWidget:

## Public Member Functions
| ExprColorWidget (SeExpr2::Vec3d value, int index, bool indexLabel, QWidget *parent)
ExprColorFrame * | getColorFrame ()

## Private Attributes
ExprColorFrame * | _colorFrame

## Detailed Description

Definition at line 44 of file ExprColorSwatch.h.

## Constructor & Destructor Documentation

## ◆ ExprColorWidget()

ExprColorWidget::ExprColorWidget | ( | SeExpr2::Vec3d | value,
|  | int | index,
|  | bool | indexLabel,
|  | QWidget * | parent
| ) |  |

Definition at line 81 of file ExprColorSwatch.cpp.

References _colorFrame, index(), and value().

## Member Function Documentation

## ◆ getColorFrame()

ExprColorFrame * ExprColorWidget::getColorFrame | ( |  | ) |

Definition at line 102 of file ExprColorSwatch.cpp.

References _colorFrame.

Referenced by ExprColorSwatchWidget::addSwatch().

## Member Data Documentation

## ◆ _colorFrame

ExprColorFrame* ExprColorWidget::_colorFrame
| private

Definition at line 51 of file ExprColorSwatch.h.

Referenced by ExprColorWidget(), and getColorFrame().

The documentation for this class was generated from the following files:

- /build/seexpr/src/SeExpr/src/SeExpr2/UI/ExprColorSwatch.h
- /build/seexpr/src/SeExpr/src/SeExpr2/UI/ExprColorSwatch.cpp